using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using System.Text.Json;

namespace Adaptation._Tests.Extract.Development.v2_52_0;

[TestClass]
public class MESAFIBACKLOG
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Development.v2_52_0.MESAFIBACKLOG _MESAFIBACKLOG;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Development.v2_52_0.MESAFIBACKLOG.ClassInitialize(testContext);
        _MESAFIBACKLOG = CreateSelfDescription.Development.v2_52_0.MESAFIBACKLOG.EAFLoggingUnitTesting;
    }

    private static void NonThrowTryCatch()
    {
        try
        { throw new Exception(); }
        catch (Exception) { }
    }

    [Ignore]
    [TestMethod]
    public void Development__v2_52_0__MESAFIBACKLOG__json() => _MESAFIBACKLOG.Development__v2_52_0__MESAFIBACKLOG__json();

    [Ignore]
    [TestMethod]
    public void Development__v2_52_0__MESAFIBACKLOG__json637961251829737445__Normal()
    {
        string check = "*.json";
        bool validatePDSF = false;
        _MESAFIBACKLOG.Development__v2_52_0__MESAFIBACKLOG__json();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_MESAFIBACKLOG.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _MESAFIBACKLOG.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _MESAFIBACKLOG.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Tuple<string, Test[], JsonElement[], List<FileInfo>> extractResult = fileRead.ReExtract();
        Assert.IsFalse(string.IsNullOrEmpty(extractResult?.Item1));
        Assert.IsNotNull(extractResult.Item3);
        Assert.IsNotNull(extractResult.Item4);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Development__v2_52_0__MESAFIBACKLOG__json637961251829737449__Normal()
    {
        string check = "*.json";
        bool validatePDSF = false;
        _MESAFIBACKLOG.Development__v2_52_0__MESAFIBACKLOG__json();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_MESAFIBACKLOG.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _MESAFIBACKLOG.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _MESAFIBACKLOG.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Tuple<string, Test[], JsonElement[], List<FileInfo>> extractResult = fileRead.ReExtract();
        Assert.IsFalse(string.IsNullOrEmpty(extractResult?.Item1));
        Assert.IsNotNull(extractResult.Item3);
        Assert.IsNotNull(extractResult.Item4);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Development__v2_52_0__MESAFIBACKLOG__json638321988963117280__Normal()
    {
        string check = "*.json";
        bool validatePDSF = false;
        _MESAFIBACKLOG.Development__v2_52_0__MESAFIBACKLOG__json();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_MESAFIBACKLOG.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _MESAFIBACKLOG.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _MESAFIBACKLOG.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Tuple<string, Test[], JsonElement[], List<FileInfo>> extractResult = fileRead.ReExtract();
        Assert.IsFalse(string.IsNullOrEmpty(extractResult?.Item1));
        Assert.IsNotNull(extractResult.Item3);
        Assert.IsNotNull(extractResult.Item4);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Development__v2_52_0__MESAFIBACKLOG__CopyToPaths638323658386612550__Normal()
    {
        string check = "*.json";
        bool validatePDSF = false;
        _MESAFIBACKLOG.Development__v2_52_0__MESAFIBACKLOG__CopyToPaths();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_MESAFIBACKLOG.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _MESAFIBACKLOG.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _MESAFIBACKLOG.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Tuple<string, Test[], JsonElement[], List<FileInfo>> extractResult = fileRead.ReExtract();
        Assert.IsFalse(string.IsNullOrEmpty(extractResult?.Item1));
        Assert.IsNotNull(extractResult.Item3);
        Assert.IsNotNull(extractResult.Item4);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Development__v2_52_0__MESAFIBACKLOG__json638323658386612551__Normal()
    {
        string check = "*.json";
        bool validatePDSF = false;
        _MESAFIBACKLOG.Development__v2_52_0__MESAFIBACKLOG__json();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_MESAFIBACKLOG.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _MESAFIBACKLOG.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _MESAFIBACKLOG.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Tuple<string, Test[], JsonElement[], List<FileInfo>> extractResult = fileRead.ReExtract();
        Assert.IsFalse(string.IsNullOrEmpty(extractResult?.Item1));
        Assert.IsNotNull(extractResult.Item3);
        Assert.IsNotNull(extractResult.Item4);
        NonThrowTryCatch();
    }

    [Ignore]
    [TestMethod]
    public void Development__v2_52_0__MESAFIBACKLOG__Kanban638323658386612552__Normal()
    {
        string check = "*.json";
        bool validatePDSF = false;
        _MESAFIBACKLOG.Development__v2_52_0__MESAFIBACKLOG__Kanban();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_MESAFIBACKLOG.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _MESAFIBACKLOG.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _MESAFIBACKLOG.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Tuple<string, Test[], JsonElement[], List<FileInfo>> extractResult = fileRead.ReExtract();
        Assert.IsFalse(string.IsNullOrEmpty(extractResult?.Item1));
        Assert.IsNotNull(extractResult.Item3);
        Assert.IsNotNull(extractResult.Item4);
        NonThrowTryCatch();
    }

}